<?xml version="1.0" encoding="UTF-8"?>

<beans xmlns="http://www.springframework.org/schema/beans"
	xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:p="http://www.springframework.org/schema/p"
	xsi:schemaLocation="http://www.springframework.org/schema/beans http://www.springframework.org/schema/beans/spring-beans.xsd">

	<bean name="/ui/workflows.do"
		class="eu.dnetlib.functionality.modular.ui.workflows.controllers.WfEntryPointController"
		p:menu="Infrastructure Management" 
		p:title="Infrastructure Management"
		p:description="Infrastructure Workflows Management" 
		p:group="Infrastructure Management"
		p:validMenuEntry="false">
		<property name="permissionLevels">
			<set>
				<value>DS_ADMIN</value>
			</set>
		</property>
	</bean>
	
	<bean name="/ui/workflow_journal.do"
		class="eu.dnetlib.functionality.modular.ui.workflows.controllers.WfHistoryEntryPointController"
		p:menu="Workflow history" 
		p:title="Workflow history"
		p:description="Workflow history" 
		p:group="Logs"
		p:order="10"
		p:groupOrder="100">
		<property name="permissionLevels">
			<set>
				<value>WF_ADMIN</value>
				<value>DS_ADMIN</value>
			</set>
		</property>
	</bean>
	
	<bean name="/ui/workflow_timeline.do"
		class="eu.dnetlib.functionality.modular.ui.workflows.controllers.WfHistoryEntryPointController"
		p:menu="Workflow timeline" 
		p:title="Workflow timeline"
		p:description="Workflow timeline" 
		p:group="Logs"
		p:order="11"
		p:groupOrder="100">
		<property name="permissionLevels">
			<set>
				<value>WF_ADMIN</value>
				<value>DS_ADMIN</value>
			</set>
		</property>
	</bean>
	
	<bean name="infrastructureManagementMenu"
		class="eu.dnetlib.functionality.modular.ui.workflows.menu.InfrastructureManagementGroup"
		p:title="Infrastructure Management" 
		p:order="11"/>
		

</beans>
